<xml> </xml>

btb-class |

# BetterListViewBase Members

BetterListViewBase overview

#### Public Instance Properties

AutoScrollBoundary | offset from the items area border where auto scroll is initiated
AutoScrollStep | step size of automatic scrolling (in pixels)
AutoScrollStepDelay | delay between two steps of automatic scrolling
BackColor | Gets or sets the background color for the control.
BorderStyle | border style of the control
CacheImages | cache resized images for faster redrawing of the control
CausesValidation | Gets or sets a value indicating whether the control causes validation to be performed on any controls that require validation when it receives focus.
ClientRectangleInner | ClientRectangle without border
ClientSizeInner | ClientSize without border
DragSourceID | string identifying this control as a drag operation source
Enabled | Gets or sets a value indicating whether the control can respond to user interaction.
Font | Gets or sets the font of the text displayed by the control.
FontItems | font of item texts
ForeColor | foreground color of the control
ForeColorItems | foreground color of item texts
HScrollBarVisible | horizontal scroll bar is visible
HScrollProperties | horizontal scroll bar properties
IsUpdating | the control is currently being updated
VScrollBarVisible | vertical scroll bar is visible
VScrollProperties | vertical scroll bar properties

#### Public Instance Methods

BeginUpdate | Suspend refreshing logic for the control.
EndUpdate | Overloaded. Resume refreshing logic for the control.
Refresh | Forces the control to invalidate its client area and immediately redraw itself and any child controls.

#### Public Instance Events

BorderStyleChanged | occurs when BorderStyle property has changed
HScrollPropertiesChanged | occurs when horizontal scroll bar properties has changed
VScrollPropertiesChanged | occurs when vertical scroll bar properties has changed

#### Protected Instance Constructors

BetterListViewBase Constructor | Initializes a new instance of the BetterListView class.

#### Protected Instance Properties

AutoScrollEnabled | auto-scroll feature is enabled
BoundsContent | content area
CachedGraphics | Stored Graphics object for re-use.
HScrollBar | horizontal scroll bar
InvalidationInfo | information about the invalidation state
ScrollPosition | position of the scroll bars
ScrollPositionHorizontal | position of the horizontal scroll bar
ScrollPositionVertical | position of the vertical scroll bar
VScrollBar | vertical scroll bar

#### Protected Instance Methods

AccessibilityInitialize | Initialize accessibility support.
AutoScrollStart | Start the auto-scroll feature.
AutoScrollStop | Stop the auto-scroll feature.
Dispose | Overloaded. Releases the unmanaged resources used by the Control and its child controls and optionally releases the managed resources.
DrawingRedraw | Overloaded. Redraw the control.
DrawingRedrawCore | Internal method for redrawing doing the actual drawing.
GetContentBounds | Get content area boundaries.
OnBorderStyleChanged | Raises the BorderStyleChanged event.
OnHandleCreated | Raises the HandleCreated event.
OnHScrollPropertiesChanged | Raises the HScrollPropertiesChanged event.
OnLostFocus | Raises the LostFocus event.
OnPaint | Raises the Paint event.
OnParentChanged | Raises the ParentChanged event.
OnResize | Raises the Resize event.
OnScrollBarValueChanged | Called when [scroll bar value changed].
OnVisibleChanged | Raises the VisibleChanged event.
OnVScrollPropertiesChanged | Raises the VScrollPropertiesChanged event.

#### See Also

BetterListViewBase Class | ComponentOwl.BetterThumbnailBrowser Namespace